Skip to content

Update a business profile

Request

Update user profile information for a business profile.

If user profile has been verified then there are restrictions on what information is allowed to change.

Where permitted, use the update window functionality by opening the update window, submitting the updated information using this endpoint, and finally closing the update window.

See Business Categories for the list of valid industryCategories values, and Migrating to industry categories if you are moving from a previous version of this endpoint.

Security
UserToken or PersonalToken
Path
profileIdinteger, (int64)required

Business profile ID.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. Learn more.

Example:f47ac10b-58cc-4372-a567-0e02b2c3d479
Bodyapplication/json
idinteger, (int64)

Business profile ID. This must match the business profile ID supplied in the URL.

Example:14599371
businessNamestring

Business name.

Example:"ABC Logistics Ltd"
businessNameInKatakanastring or null

Business name in Katakana (only for Japanese businesses).

Example:null
businessFreeFormDescriptionstring

Business free form description.

Example:"Biz free form desc"
registrationNumberstring

Business registration number.

Example:"12144939"
acnstring or null

Australian Company Number (only for Australian businesses).

Example:null
abnstring or null

Australian Business Number (only for Australian businesses).

Example:null
arbnstring or null

Australian Registered Body Number (only for Australian businesses).

Example:null
companyTypestring

Company legal form.

Enum:"LIMITED""PARTNERSHIP""SOLE_TRADER""LIMITED_BY_GUARANTEE""LIMITED_LIABILITY_COMPANY""FOR_PROFIT_CORPORATION""NON_PROFIT_CORPORATION""LIMITED_PARTNERSHIP""LIMITED_LIABILITY_PARTNERSHIP""GENERAL_PARTNERSHIP"
Example:"LIMITED"
addressobject
companyRolestring

Role of person.

Enum:"OWNER""DIRECTOR""OTHER"
Example:"OWNER"
externalCustomerIdstring

An external reference identifier mapping the customer of this profile to your system.

Example:"67890-biz-acct"
industryCategoriesArray of strings, non-empty

One or more industry categories classifying the business. See Business Categories for the full list of valid values.

Example:
[ "SOFTWARE_DEVELOPMENT_PUBLISHING", "IT_CONSULTANCY_TECHNICAL_SUPPORT_SERVICES" ]
operationalAddressesArray of objects

List of operational addresses.

webpagestring

Business webpage. Required if companyType is OTHER. If this is not provided for an OTHER companyType, the profile should not be allowed to create a transfer. For the rest of the companyTypes, it is highly recommended to always provide the business' website, to avoid payment issues such as suspensions. Wise will send a request for information (RFI) if this detail is not provided.

Example:"https://abc-logistics.com"
curl -i -X PUT \
  'https://api.wise.com/2026Q3/profiles/{profileId}/business-profile' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'X-External-Correlation-Id: f47ac10b-58cc-4372-a567-0e02b2c3d479' \
  -d '{
    "id": 14599371,
    "businessName": "ABC Logistics Ltd",
    "businessNameInKatakana": null,
    "businessFreeFormDescription": "Biz free form desc",
    "registrationNumber": "12144939",
    "acn": null,
    "abn": null,
    "arbn": null,
    "companyType": "LIMITED",
    "address": {
      "addressFirstLine": "1 A road",
      "city": "London",
      "countryIso2Code": "gb",
      "countryIso3Code": "gbr",
      "postCode": "11111",
      "stateCode": "strin"
    },
    "companyRole": "OWNER",
    "externalCustomerId": "67890-biz-acct",
    "industryCategories": [
      "SOFTWARE_DEVELOPMENT_PUBLISHING",
      "IT_CONSULTANCY_TECHNICAL_SUPPORT_SERVICES"
    ],
    "operationalAddresses": [
      {
        "addressFirstLine": "1 A road",
        "city": "London",
        "countryIso2Code": "gb",
        "countryIso3Code": "gbr",
        "postCode": "11111",
        "stateCode": "strin"
      }
    ],
    "webpage": "https://abc-logistics.com"
  }'

Responses

Updated business profile.

Headers
X-External-Correlation-Idstring, (uuid), <= 36 characters

Echoed back when X-External-Correlation-Id was included in the request. Learn more.

Example:"f47ac10b-58cc-4372-a567-0e02b2c3d479"
x-trace-idstring

Unique trace identifier assigned by Wise. Useful when contacting support about a specific request.

Example:"fba501b6d453b96789f52338f019341f"
Bodyapplication/json
typestringrequired

Type of profile.

Value:"BUSINESS"
Example:"BUSINESS"
idinteger, (int64)

Unique identifier for the profile.

Example:14599371
publicIdstring

Publicly accessible identifier for the profile.

Example:"f0e9d8c7-b6a5-4321-fedc-ba9876543210"
userIdinteger, (int64)

The ID of the user associated with this profile.

Example:9889627
addressobject

Main registered address of the business.

emailstring

Primary email address for the business.

Example:"info@innovate-solutions.co.uk"
createdAtstring, (date-time)

Timestamp when the profile was created (ISO 8601 format).

Example:"2024-03-10T09:00:00"
updatedAtstring, (date-time)

Timestamp when the profile was last updated (ISO 8601 format).

Example:"2025-06-18T14:22:00"
currentStatestring

Current status of this profile.

Enum:"HIDDEN""VISIBLE""DEACTIVATED"
Example:"VISIBLE"
contactDetailsobject

Contact information for the business.

businessNamestring

Registered business name.

Example:"Innovate Solutions Ltd"
registrationNumberstring

Business registration number.

Example:"SC1234567890ABCD"
webpagestring

Business website URL.

Example:"https://www.innovate-solutions.co.uk"
companyTypestring

Type of company.

Example:"LIMITED_COMPANY"
companyRolestring

Role of the person managing the business profile.

Enum:"OWNER""DIRECTOR""OTHER"
Example:"OWNER"
businessFreeFormDescriptionstring

Free-form description of the business activities.

Example:"We create cutting-edge software for businesses."
industryCategoriesArray of strings, non-empty

One or more industry categories classifying the business. See Business Categories for the full list of valid values.

Example:
[ "SOFTWARE_DEVELOPMENT_PUBLISHING", "IT_CONSULTANCY_TECHNICAL_SUPPORT_SERVICES" ]
operationalAddressesArray of objects

An array of operational addresses for the business.

fullNamestring

Full legal name of the business.

Example:"Innovate Solutions Ltd"
Response
{ "type": "BUSINESS", "id": 14599371, "publicId": "f0e9d8c7-b6a5-4321-fedc-ba9876543210", "userId": 9889627, "address": { "id": 36086782, "addressFirstLine": "24 Willow Creek Lane", "city": "Bristol", "countryIso2Code": "GB", "countryIso3Code": "gbr", "postCode": "BS1 6AE", "stateCode": null }, "email": "info@innovate-solutions.co.uk", "createdAt": "2024-03-10T09:00:00", "updatedAt": "2025-06-18T14:22:00", "currentState": "VISIBLE", "contactDetails": { "email": "contact@innovate-solutions.co.uk", "phoneNumber": "+441617891234" }, "businessName": "Innovate Solutions Ltd", "registrationNumber": "SC1234567890ABCD", "webpage": "https://www.innovate-solutions.co.uk", "companyType": "LIMITED_COMPANY", "companyRole": "OWNER", "businessFreeFormDescription": "We create cutting-edge software for businesses.", "industryCategories": [ "SOFTWARE_DEVELOPMENT_PUBLISHING", "IT_CONSULTANCY_TECHNICAL_SUPPORT_SERVICES" ], "operationalAddresses": [ { "id": 36086782, "addressFirstLine": "24 Willow Creek Lane", "city": "Bristol", "countryIso2Code": "GB", "countryIso3Code": "gbr", "postCode": "BS1 6AE", "stateCode": null } ], "fullName": "Innovate Solutions Ltd" }